<div class="col-md-10 col-sm-11">
  <div class="main-dash-right">
    <app-generic-content-loader *ngIf="isLoadingRatings"></app-generic-content-loader>
    <div *ngIf="!isLoadingRatings">
      <div class="row">
        <div class="col-xs-12">
          <div class="title-heading"><h2>Ratings</h2></div>
          <p class="haedline-wrap">As a reminder, businesses cannot pay Hunt Handy to alter or remove any of their
            reviews. Each review that comes in goes under comprehensive review moderation to avoid 4
            fraudulent/fake reviews.</p>
        </div>

        <div class="col-sm-6 col-xs-12" *ngFor="let rating of ratings">
          <div class="shadow_wrap margintop20 marginbottom10 pastworkwrap rating-wrap">
            <div class="row">
              <div class="col-xs-12 col-sm-7">
                <div class="row">
                  <div class="col-xs-8">
                    <div class="rating-star">
                      <div class="stars-wrap">
                        <span class="fa fa-star" [ngClass]="{'checked': rating.ratingGivenByCustomer > 0}"></span>
                        <span class="fa fa-star" [ngClass]="{'checked': rating.ratingGivenByCustomer > 1}"></span>
                        <span class="fa fa-star" [ngClass]="{'checked': rating.ratingGivenByCustomer > 2}"></span>
                        <span class="fa fa-star" [ngClass]="{'checked': rating.ratingGivenByCustomer > 3}"></span>
                        <span class="fa fa-star" [ngClass]="{'checked': rating.ratingGivenByCustomer > 4}"></span>
                      </div>
                    </div>
                  </div>
                  <div class="col-xs-4">
                    <span class="day-rate-wrap">{{formatDate(rating.endTime)}}</span>
                  </div>
                  <div class="col-xs-6">
                    <div class="title-heading"><span class="day-rate-wrap">by <strong> {{rating.userName}}</strong></span></div>
                  </div>
                  <div class="col-xs-6">
                    <div class="title-heading"><span class="day-rate-wrap">For <strong class="orange-color"> {{rating.serviceName}}</strong></span>
                    </div>
                  </div>
                </div>
              </div>
              <!--<div class="col-xs-12 col-sm-5">
                <div class="title-heading  pull-right">
                  <span class="day-rate-wrap">
                    <img src="assets/images/badge.png" alt="">
                  Best choice in 2018</span></div>
              </div>-->

              <div class="col-xs-12">
                <div class="ratings-wrap">
                  <p>{{ rating.ratingDescriptionGivenByCustomer }}</p>
                </div>
              </div>
              <!--<div class="col-xs-12">
                <div class="ratings-btn">
                  <button class="form-sumbit-orange margintop20 maxwidthbtn">Appeal for change</button>
                </div>
              </div>-->
            </div>
          </div>


        </div>

      </div>
    </div>
  </div>
</div>
